{
  "build": {
    "date": "Wed, 10 Apr 2024 12:42:11 PDT",
    "git-revision": "805522c65af02becca5b2478da4b38aa5a3ba253",
    "id": "258563105",
    "name": "LPD-16635,LPD-2110,LPS-146094,LPS-204350,LPS-204437,LPS-94011,LRAC-14953,LRAC-14992,LRAC-15123,LRAC-15333,LRAC-15363,LRAC-15439,LRP-1615",
    "builder-revision": "45b453f35cad60a89581d279d0757c4dd3858191",
    "rt-revision": "ce830ed3d62a402d0367a9eb07d4123556141f75"
  },
  "files": {
    "lpkg_files": [
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Analytics - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.analytics.batch.exportimport.impl-2.0.4.jar",
            "new_name": "com.liferay.analytics.batch.exportimport.impl-2.0.4.hotfix-8643-7310.jar",
            "added": [
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.DXPEntityAnalyticsExportDispatchTaskExecutor.xml",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/BaseAnalyticsDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/DXPEntityAnalyticsExportDispatchTaskExecutor.class",
              "content/Language.properties",
              "content/Language_ar.properties",
              "content/Language_bg.properties",
              "content/Language_ca.properties",
              "content/Language_cs.properties",
              "content/Language_da.properties",
              "content/Language_de.properties",
              "content/Language_el.properties",
              "content/Language_en.properties",
              "content/Language_en_AU.properties",
              "content/Language_en_GB.properties",
              "content/Language_es.properties",
              "content/Language_es_AR.properties",
              "content/Language_es_CO.properties",
              "content/Language_es_MX.properties",
              "content/Language_et.properties",
              "content/Language_eu.properties",
              "content/Language_fa.properties",
              "content/Language_fi.properties",
              "content/Language_fr.properties",
              "content/Language_fr_CA.properties",
              "content/Language_gl.properties",
              "content/Language_hi_IN.properties",
              "content/Language_hr.properties",
              "content/Language_hu.properties",
              "content/Language_in.properties",
              "content/Language_it.properties",
              "content/Language_iw.properties",
              "content/Language_ja.properties",
              "content/Language_kk.properties",
              "content/Language_km.properties",
              "content/Language_ko.properties",
              "content/Language_lo.properties",
              "content/Language_lt.properties",
              "content/Language_ms.properties",
              "content/Language_nb.properties",
              "content/Language_nl.properties",
              "content/Language_nl_BE.properties",
              "content/Language_pl.properties",
              "content/Language_pt_BR.properties",
              "content/Language_pt_PT.properties",
              "content/Language_ro.properties",
              "content/Language_ru.properties",
              "content/Language_sk.properties",
              "content/Language_sl.properties",
              "content/Language_sr_RS.properties",
              "content/Language_sr_RS_latin.properties",
              "content/Language_sv.properties",
              "content/Language_ta_IN.properties",
              "content/Language_th.properties",
              "content/Language_tr.properties",
              "content/Language_uk.properties",
              "content/Language_vi.properties",
              "content/Language_zh_CN.properties",
              "content/Language_zh_TW.properties"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.AnalyticsDXPEntityBatchExporterImpl.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dto.v1_0.converter.DXPEntityDTOConverterImpl.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.manager.AnalyticsBatchExportImportManagerImpl.xml",
              "com/liferay/analytics/batch/exportimport/internal/AnalyticsDXPEntityBatchExporterImpl.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$1.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2$1.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2$2.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2$3.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2$4.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2$5.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$2.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$3.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$4.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$5.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$6.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$7.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl$8.class",
              "com/liferay/analytics/batch/exportimport/internal/dto/v1_0/converter/DXPEntityDTOConverterImpl.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/BaseAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/ExpandoColumnAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/GroupAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/OrganizationAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/RoleAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/TeamAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/UserAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/engine/UserGroupAnalyticsDXPEntityBatchEngineTaskItemDelegate.class",
              "com/liferay/analytics/batch/exportimport/internal/manager/AnalyticsBatchExportImportManagerImpl.class"
            ],
            "removed": [
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/ExpandoColumnAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/AnalyticsAssociationDXPEntityExportDispatchTaskExecutor.class",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.UserGroupAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/OrganizationAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.TeamAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.AnalyticsAssociationDXPEntityExportDispatchTaskExecutor.xml",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/BaseAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/RoleAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/UserAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/GroupAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.ExpandoColumnAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.OrganizationAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/UserGroupAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/TeamAnalyticsDXPEntityExportDispatchTaskExecutor.class",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.AnalyticsDeleteMessageAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.UserAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.GroupAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "OSGI-INF/com.liferay.analytics.batch.exportimport.internal.dispatch.executor.RoleAnalyticsDXPEntityExportDispatchTaskExecutor.xml",
              "META-INF/liferay-releng.changelog",
              "com/liferay/analytics/batch/exportimport/internal/dispatch/executor/AnalyticsDeleteMessageAnalyticsDXPEntityExportDispatchTaskExecutor.class"
            ],
            "change_type": "modified"
          },
          {
            "old_name": "com.liferay.analytics.settings.web-4.0.78.jar",
            "new_name": "com.liferay.analytics.settings.web-4.0.78.hotfix-8643-7310.jar",
            "added": [
              "com/liferay/analytics/settings/web/internal/upgrade/v1_0_2/AnalyticsDispatchTriggersUpgradeProcess.class"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "OSGI-INF/com.liferay.analytics.settings.web.internal.upgrade.AnalyticsSettingsWebUpgrade.xml",
              "com/liferay/analytics/settings/web/internal/upgrade/AnalyticsSettingsWebUpgrade.class",
              "previous-compilation-data.bin"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          },
          {
            "old_name": "com.liferay.analytics.settings.impl-8.0.2.jar",
            "new_name": "com.liferay.analytics.settings.impl-8.0.2.hotfix-8643-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/analytics/settings/internal/configuration/AnalyticsConfigurationRegistryImpl.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Frontend Js - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.frontend.js.web-4.0.59.jar",
            "new_name": "com.liferay.frontend.js.web-4.0.59.hotfix-8643-7310.jar",
            "added": [
              "previous-compilation-data.bin"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/bridge/frontend-js-web/liferay/CompatibilityEventProxy.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/DefaultEventHandler.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/DynamicInlineScroll.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/DynamicSelect.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/ItemSelectorDialog.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/PortletBase.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/aop/AOP.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/autosize/autosize.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/breakpoints.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/compat/modal/Modal.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/compat/modal/Modal.soy.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/component.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/debounce/debounce.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/delegate/delegate.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/dom_task_runner.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/events.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/global.bundle.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/global.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/layout_exporter.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/lazy_load.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/liferay.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/modal/Modal.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/modal/Modal.scss.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/modal/commands/OpenSimpleInputModal.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/modal/components/SimpleInputModal.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portal/tabs.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portal/tooltip.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/PortletInit.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/RenderState.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/portlet.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/portlet_constants.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/portlet_util.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/portlet/register.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/side_navigation.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/throttle.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/toast/commands/OpenToast.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/add_params.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/address/get_countries.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/address/get_regions.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/fetch.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/focus_form_field.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/form/get_form_element.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/form/object_to_form_data.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/form/post_form.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/form/set_form_values.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/format_storage.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/format_xml.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/get_crop_region.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/get_dom.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/get_element.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/get_portlet_id.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/get_portlet_namespace.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/html_util.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/in_browser_view.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/is_phone.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/is_tablet.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/navigate.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/normalize_friendly_url.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/ns.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/object_to_url_search_params.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/portlet_url/create_action_url.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/portlet_url/create_portlet_url.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/portlet_url/create_render_url.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/portlet_url/create_resource_url.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/session.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/to_char_code.es.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/util/toggle_disabled.js",
              "META-INF/resources/bridge/frontend-js-web/liferay/workflow.js",
              "META-INF/resources/index.es.js",
              "META-INF/resources/liferay/CompatibilityEventProxy.es.js",
              "META-INF/resources/liferay/DefaultEventHandler.es.js",
              "META-INF/resources/liferay/DynamicInlineScroll.es.js",
              "META-INF/resources/liferay/DynamicSelect.js",
              "META-INF/resources/liferay/ItemSelectorDialog.es.js",
              "META-INF/resources/liferay/PortletBase.es.js",
              "META-INF/resources/liferay/aop/AOP.es.js",
              "META-INF/resources/liferay/autosize/autosize.es.js",
              "META-INF/resources/liferay/breakpoints.js",
              "META-INF/resources/liferay/compat/modal/Modal.es.js",
              "META-INF/resources/liferay/compat/modal/Modal.soy.js",
              "META-INF/resources/liferay/component.es.js",
              "META-INF/resources/liferay/debounce/debounce.es.js",
              "META-INF/resources/liferay/delegate/delegate.es.js",
              "META-INF/resources/liferay/global.bundle.js.map",
              "META-INF/resources/liferay/global.es.js",
              "META-INF/resources/liferay/layout_exporter.es.js",
              "META-INF/resources/liferay/modal/Modal.js",
              "META-INF/resources/liferay/modal/Modal.js.map",
              "META-INF/resources/liferay/modal/Modal.scss.js",
              "META-INF/resources/liferay/modal/commands/OpenSimpleInputModal.es.js",
              "META-INF/resources/liferay/modal/components/SimpleInputModal.es.js",
              "META-INF/resources/liferay/portal/tabs.es.js",
              "META-INF/resources/liferay/portal/tooltip.es.js",
              "META-INF/resources/liferay/portlet/PortletInit.es.js",
              "META-INF/resources/liferay/portlet/RenderState.es.js",
              "META-INF/resources/liferay/portlet/portlet.es.js",
              "META-INF/resources/liferay/portlet/portlet_constants.es.js",
              "META-INF/resources/liferay/portlet/portlet_util.es.js",
              "META-INF/resources/liferay/portlet/register.es.js",
              "META-INF/resources/liferay/side_navigation.es.js",
              "META-INF/resources/liferay/throttle.es.js",
              "META-INF/resources/liferay/toast/commands/OpenToast.es.js",
              "META-INF/resources/liferay/util/add_params.js",
              "META-INF/resources/liferay/util/address/get_countries.es.js",
              "META-INF/resources/liferay/util/address/get_regions.es.js",
              "META-INF/resources/liferay/util/fetch.es.js",
              "META-INF/resources/liferay/util/focus_form_field.js",
              "META-INF/resources/liferay/util/form/get_form_element.es.js",
              "META-INF/resources/liferay/util/form/object_to_form_data.es.js",
              "META-INF/resources/liferay/util/form/post_form.es.js",
              "META-INF/resources/liferay/util/form/set_form_values.es.js",
              "META-INF/resources/liferay/util/format_storage.es.js",
              "META-INF/resources/liferay/util/format_xml.es.js",
              "META-INF/resources/liferay/util/get_crop_region.es.js",
              "META-INF/resources/liferay/util/get_dom.js",
              "META-INF/resources/liferay/util/get_element.js",
              "META-INF/resources/liferay/util/get_portlet_id.js",
              "META-INF/resources/liferay/util/get_portlet_namespace.es.js",
              "META-INF/resources/liferay/util/html_util.js",
              "META-INF/resources/liferay/util/in_browser_view.js",
              "META-INF/resources/liferay/util/is_phone.js",
              "META-INF/resources/liferay/util/is_tablet.js",
              "META-INF/resources/liferay/util/navigate.es.js",
              "META-INF/resources/liferay/util/normalize_friendly_url.js",
              "META-INF/resources/liferay/util/ns.es.js",
              "META-INF/resources/liferay/util/object_to_url_search_params.es.js",
              "META-INF/resources/liferay/util/portlet_url/create_action_url.es.js",
              "META-INF/resources/liferay/util/portlet_url/create_portlet_url.es.js",
              "META-INF/resources/liferay/util/portlet_url/create_render_url.es.js",
              "META-INF/resources/liferay/util/portlet_url/create_resource_url.es.js",
              "META-INF/resources/liferay/util/session.es.js",
              "META-INF/resources/liferay/util/to_char_code.es.js",
              "META-INF/resources/liferay/util/toggle_disabled.js",
              "META-INF/resources/manifest.json",
              "META-INF/resources/package.json",
              "package.json"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Analytics - API.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.analytics.batch.exportimport.api-7.0.2.jar",
            "new_name": "com.liferay.analytics.batch.exportimport.api-7.0.2.hotfix-8643-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/analytics/batch/exportimport/constants/AnalyticsDXPEntityBatchExporterConstants.class",
              "com/liferay/analytics/batch/exportimport/constants/packageinfo",
              "com/liferay/analytics/batch/exportimport/manager/AnalyticsBatchExportImportManager.class",
              "com/liferay/analytics/batch/exportimport/manager/packageinfo",
              "com/liferay/analytics/batch/exportimport/model/listener/packageinfo",
              "com/liferay/analytics/batch/exportimport/packageinfo"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Friendly Url - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.friendly.url.service-3.0.58.jar",
            "new_name": "com.liferay.friendly.url.service-3.0.58.hotfix-8643-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/friendly/url/internal/servlet/FriendlyURLServlet.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      }
    ],
    "jar_files": [
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "added": [
          "com/liferay/portal/app/license/a/a.class",
          "com/liferay/portal/app/license/impl/a.class",
          "com/liferay/portal/app/license/impl/a/a.class",
          "com/liferay/portal/app/license/impl/b$a.class",
          "com/liferay/portal/app/license/impl/b.class",
          "com/liferay/portal/app/license/impl/c.class"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator.class"
        ],
        "removed": [
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier.class",
          "com/liferay/portal/app/license/internal/AppBundleTracker.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$MarketplaceAppBundleListener.class",
          "com/liferay/portal/app/license/impl/events/MarketplaceAppServicePreAction.class"
        ],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "added": [
          "com/liferay/portal/ee/license/messaging/LicenseMessageListener.class",
          "patcher.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.impl/pom.properties",
          "com/liferay/portal/deploy/dependencies/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties",
          "com/liferay/portal/deploy/dependencies/util-bridges.jar",
          "com/liferay/portal/deploy/dependencies/util-java.jar",
          "com/liferay/portal/deploy/dependencies/util-slf4j.jar",
          "com/liferay/portal/deploy/dependencies/util-taglib.jar",
          "com/liferay/portal/ee/license/LCSLicenseManager.class",
          "com/liferay/portal/ee/license/LicenseBottomJSPDynamicInclude.class",
          "com/liferay/portal/ee/license/LifecycleAction",
          "com/liferay/portal/ee/license/StartupAction",
          "com/liferay/portal/ee/license/UpdateLicenseAction.class",
          "com/liferay/portal/ee/license/a/a.class",
          "com/liferay/portal/ee/license/c.class",
          "com/liferay/portal/license/LicenseManager.class",
          "com/liferay/portal/license/a.class",
          "com/liferay/portal/license/a/a.class",
          "com/liferay/portal/license/a/b.class",
          "com/liferay/portal/license/a/c.class",
          "com/liferay/portal/license/a/e.class",
          "com/liferay/portal/license/a/h.class",
          "com/liferay/portal/license/b.class",
          "com/liferay/portal/license/util/Base64InputStream.class",
          "com/liferay/portal/license/util/Base64OutputStream.class",
          "com/liferay/portal/license/util/LocalLicenseManagerImpl.class",
          "com/liferay/portal/util/PortalImpl$AlwaysAllowDoAsUserServiceTrackerCustomizer.class",
          "com/liferay/portal/util/PortalImpl$CommentsStrutsActionServiceTrackerCustomizer.class",
          "com/liferay/portal/util/PortalImpl$PortalInetSocketAddressEventListenerServiceTrackerCustomizer.class",
          "com/liferay/portal/util/PortalImpl.class",
          "portal.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "new_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "added": [
          "patcher-service.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.kernel/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/registry/collections/packageinfo",
          "com/liferay/registry/dependency/packageinfo",
          "com/liferay/registry/packageinfo",
          "com/liferay/registry/util/packageinfo"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/system.packages.extra.mf"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.bridges/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.slf4j/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.java/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "OSGI-INF/l10n/bundle_ar.properties",
          "OSGI-INF/l10n/bundle_ca.properties",
          "OSGI-INF/l10n/bundle_de.properties",
          "OSGI-INF/l10n/bundle_es.properties",
          "OSGI-INF/l10n/bundle_es_AR.properties",
          "OSGI-INF/l10n/bundle_es_CO.properties",
          "OSGI-INF/l10n/bundle_es_MX.properties",
          "OSGI-INF/l10n/bundle_fi.properties",
          "OSGI-INF/l10n/bundle_fr.properties",
          "OSGI-INF/l10n/bundle_fr_CA.properties",
          "OSGI-INF/l10n/bundle_gl.properties",
          "OSGI-INF/l10n/bundle_hu.properties",
          "OSGI-INF/l10n/bundle_ja.properties",
          "OSGI-INF/l10n/bundle_nl.properties",
          "OSGI-INF/l10n/bundle_pt_BR.properties",
          "OSGI-INF/l10n/bundle_sv.properties",
          "OSGI-INF/l10n/bundle_zh_CN.properties",
          "OSGI-INF/l10n/bundle_zh_TW.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "new_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.support.tomcat/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      }
    ],
    "other_files": {
      "added_files": [],
      "modified_files": [
        "WAR_PATH/html/portal/license_activation.jsp",
        "WAR_PATH/html/portal/dynamic_include/view.jsp"
      ],
      "removed_files": []
    }
  },
  "fixed-issues": [
    "LPD-16635",
    "LPD-2110",
    "LPS-146094",
    "LPS-204350",
    "LPS-204437",
    "LPS-94011",
    "LRAC-14953",
    "LRAC-14992",
    "LRAC-15123",
    "LRAC-15333",
    "LRAC-15363",
    "LRAC-15439",
    "LRP-1615"
  ],
  "patch": {
    "built-for": "Liferay",
    "id": "hotfix-8643-7310",
    "name": "hotfix-8643",
    "product": "7310",
    "rank": "240410124211658",
    "type": "hotfix",
    "requirements": "u35"
  },
  "patching-tool": {
    "incompatible-version-message": "Please update Patching Tool to version 3.0.37 or higher in order to use this patch.",
    "version": "3037"
  },
  "file-checksums": {
    "file": "checksums.json",
    "checksum": "0c4a992b47b91cfd165126625c6bf57747db1f427c5d28f69f05a08071741609"
  }
}